Kamelet Catalog

This version (Next (Pre-release)) of Kamelet Catalog depends on:

  • Camel at version 3.16.0

It is not currently used by other subprojects such as camel-k or camel-kafka-connector.

This is the development version of Kamelet Catalog. It should not be used in production.

Compatibility Matrix

Compatibility between Camel-K and related subprojects
Camel-Kamelets Version Using Camel Version Used by Camel-K Version Used by Camel-Kafka-Connector Version LTS Until Branch

Next (Pre-release)

3.16.0

main

0.8.x

3.16.0

1.9.1

0.8.x

0.7.x

3.14.1

1.8.2

0.7.x

0.6.x

3.12.0

1.0.x (LTS)

0.6.x

This page contains the default Apache Camel Kamelets catalog.

Consult the Kamelets User Guide for information about how to use these.

We love contributions for this catalog: you can follow the Kamelets Developer Guide for information on how to create new Kamelets and contribute them to the official github.com/apache/camel-kamelets repository.